# This spec is backported to ALTLinux 4.1 automatically by rpmbh script. Do not edit it.
%define _name gnubiff

%def_with password

Name: %_name-gnome
Version: 2.2.10
Release: alt0.M41.1

Summary: gnubiff is a mail notifier that displays headers when new mail has arrived.
License: %gpl3plus w/exception for OpenSSL
Group: Networking/Mail
Url: http://gnubiff.sourceforge.net

Source: http://downloads.sourceforge.net/%_name/%_name-%version.tar.gz
Source2: %name.desktop
Patch: %_name-2.2.9-alt-tls-support.patch
Patch1: %_name-2.2.9-fix-build.patch

PreReq: %__install_info

Conflicts: gnubiff

BuildPreReq: rpm-build-licenses

# From configure.ac
BuildPreReq: libgamin-devel >= 0.1.0
BuildPreReq: libgtk+2-devel >= 2.6
BuildPreReq: glib2-devel >= 2.4
BuildPreReq: libglade2-devel >= 2.3
BuildPreReq: libpopt-devel libgnome-panel-devel

BuildRequires: gcc-c++ libSM-devel libxml2-devel perl-XML-Parser

BuildRequires: rpm-build-compat >= 0.95

%description
gnubiff is a mail notification program that checks for mail and displays
headers when new mail has arrived. This package contains a GNOME version
that works in GNOME panel.

gnubiff features include:

    * Multiple mailbox support
    * pop3, apop, imap4, mh, qmail and mailfile support
    * SSL & certificates support
    * GNOME support with complete integration to panel
    * GTK stand-alone support
    * Automatic detection of mailbox format
    * Mail header & content display
    * IDLE state support for imap4
    * FAM support for mh/qmail/mailfile
    * PNG animation support
    * Highly configurable
    * Spam filtering
    * HIG 2.0 compliance
    * Small memory usage

%prep
%setup -q -n %_name-%version
%patch -p1 -b .alt-tls-support
%patch1 -p0 -b .fix-build

%build
%configure \
    %{subst_with password} \
    %{?_with_password:--with-password-string="andthentherewere3"} \
    --enable-expert \
    --enable-gnome

%make_build

%install
%makeinstall
install -pD -m644 %SOURCE2 %buildroot%_desktopdir/%name.desktop

%find_lang %_name

%post
%install_info %_name.info
%update_menus

%preun
%uninstall_info %_name.info

%postun
%clean_menus

%files -f %_name.lang
%_bindir/%_name
%_libdir/bonobo/servers/*
%_datadir/%_name/*
%_datadir/gnome-2.0/ui/*
%_pixmapsdir/*
%_desktopdir/*.desktop
%_infodir/*.info*
%_man1dir/*
%doc README ChangeLog COPYING THANKS TODO NEWS AUTHORS

%changelog
* Fri Nov 07 2008 Alexey Rusakov <ktirf@altlinux.org> 2.2.10-alt0.M41.1
- backport to ALTLinux 4.1 (by rpmbph script)

* Fri Nov 07 2008 Alexey Rusakov <ktirf@altlinux.org> 2.2.10-alt1
- New version (2.2.10).
- Fixed building with the new toolchain.
- Added a .desktop file.

* Sat Feb 09 2008 Alexey Rusakov <ktirf@altlinux.org> 2.2.9-alt1
- New version (2.2.9).
- Added STARTTLS support (ALT Bug 14373, thanks to hiddenman@ for the
  patch).

* Wed Sep 12 2007 Alexey Rusakov <ktirf@altlinux.org> 2.2.8-alt1
- new version (2.2.8)
- upstream relicensed under %gpl3plus

* Fri Aug 24 2007 Alexey Rusakov <ktirf@altlinux.org> 2.2.7-alt1
- new version
- use a macro from rpm-build-licenses

* Tue Feb 20 2007 Alexey Rusakov <ktirf@altlinux.org> 2.2.5-alt1
- new version (2.2.5)

* Fri Dec 29 2006 ALT QA Team Robot <qa-robot@altlinux.org> 2.2.3-alt1.1
- Rebuilt due to libcrypto.so.4 -> libcrypto.so.6 soname change.

* Mon Oct 23 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.2.3-alt1
- new version 2.2.3 (with rpmrb script)

* Tue Aug 08 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.2.2-alt1
- new version (2.2.2)
- added passwords saving switch and turned it on by default (per
  hiddenman@'s request).

* Sun Jun 04 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.2.1-alt1
- new version (2.2.1)
- updated dependencies.

* Tue Aug 23 2005 Alexey Rusakov <ktirf@altlinux.ru> 2.1.5-alt1
- New upstream version.

* Thu Jul 21 2005 Alexey Rusakov <ktirf@altlinux.ru> 2.1.4-alt1
- New upstream version.

* Mon Apr 11 2005 Alexey Rusakov <ktirf@altlinux.ru> 2.1.3-alt1
- Initial Sisyphus package.

